OAuth revoke
curl --request POST \
--url https://chatatp-agent-builder-backend.onrender.com/oauth/revoke/ \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://chatatp-agent-builder-backend.onrender.com/oauth/revoke/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://chatatp-agent-builder-backend.onrender.com/oauth/revoke/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)OAuth 2.1
OAuth revoke
Revoke an OAuth access or refresh token
POST
/
oauth
/
revoke
/
OAuth revoke
curl --request POST \
--url https://chatatp-agent-builder-backend.onrender.com/oauth/revoke/ \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://chatatp-agent-builder-backend.onrender.com/oauth/revoke/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://chatatp-agent-builder-backend.onrender.com/oauth/revoke/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)Revocation is idempotent. The endpoint returns
Use the refresh token to disconnect an app session, or revoke an access token immediately after a user disconnects the app.
200 whether the token was active, already revoked, or unknown.
cURL
curl -X POST https://chatatp-agent-builder-backend.onrender.com/oauth/revoke/ \
-H "Content-Type: application/x-www-form-urlencoded" \
--data-urlencode "token=$CHATATP_REFRESH_TOKEN" \
--data-urlencode "client_id=$CHATATP_CLIENT_ID"